<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: login.php
-------------------------------------------
*/

$title = 'Авторизация';
//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');

//-----Переадресация для авторизированых-----//
if($user['id']) {
header('Location: ');
exit();
}

echo '<div class="title">Авторизация</div>';

##############################
####### Главная ###### #######
##############################
switch($_GET['act'])
{
default:

echo '<div class="podmenu">
<form action="?act=true" method="POST">
*Ваш логин:<br /><input type="text" name="login" maxlength="20" /><br />
*Ваш пароль:<br /><input type="password" name="pass" maxlength="25" /><br />
<input type="submit" value="Авторизировать">
</form></div>';

break;
##############################
####### Кейс проверки ########
##############################
case 'true':

//-----Фильтрируем переменную-----//
$onepass = strong($_POST['pass']);
$login = strong($_POST['login']);

if(empty($login)) {
echo '<div class="podmenu"><center><b>Вы не ввели логин!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($login) > 20 or mb_strlen($login) < 3) {
echo '<div class="podmenu"><center><b>Введите логин от 3 до 20 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Проверка на символы-----//
if (!preg_match('|^[a-z0-9\-]+$|i', $login)) {
echo '<div class="podmenu"><center><b>Кириллица запрещена в логине!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$pass = md5(md5(md5(strong($_POST['pass'])))); //фильтрируем и в мд5

//-----Проверяем на ввод пароля-----//
if(empty($pass)){
echo '<div class="podmenu"><center><b>Вы не ввели свой пароль!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($pass) < 5) {
echo '<div class="podmenu"><center><b>Введите пароль от 5 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Проверка на символы-----//
if (!preg_match('|^[a-z0-9\-]+$|i', $pass)) {
echo '<div class="podmenu"><center><b>Кириллица запрещена в пароле!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$dbsql = mysql_fetch_array(mysql_query("SELECT `login`,`pass` FROM `users` WHERE `login` = '".$login."' and `pass`='".$pass."' LIMIT 1"));
if(!empty($login) && !empty($pass)) if($dbsql==0) {
echo '<div class="podmenu"><center><b>Такого пользователя не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}

header('Location:'.$HOME.'/autolog.php?ulog='.$login.'&upas='.$onepass.'');
echo '<div class="podmenu">
<b>Вы успешно авторизировались!</b>
</div>
<div class="podmenu">Ваш автологин:<br />
<textarea>'.$HOME.'/autolog.php?ulog='.$login.'&upas='.$onepass.'</textarea>
</div>
<div class="podmenu"><a href="'.$HOME.'/autolog.php?ulog='.$login.'&amp;upas='.$onepass.'"><b>Перейти на сайт</b></a></div>';

require_once ('system/footer.php');
exit();

break;
}

//-----Подключаем низ-----//
require_once ('system/footer.php');
?>